Subject: Re: [PATCH] reset: avoid reflog update on no-op reset

From: Junio C Hamano <[email-masked]>
Date: Fri, 23 Jan 2026 08:18:17 -0800

Pushkar Singh <[email-masked]> writes:

> ... or to rework it in a way that preserves the reflog
> entry while addressing the underlying concern (if there is one).

I am OK as long as this patch does not come back in its current form
;-), but it is curious what "the underlying concern" is.  It sounds
like you see some problems that need to be addressed if the current
"the act of resetting to the same commit is recorded in the reflog",
but I am not sure what they are.

Thanks.